package edu.uoc.tfc.gui.common;

import java.util.ArrayList;
import java.util.Arrays;

public abstract class ResultatCercaVO extends JSONDataTableResult {

	
	/**
	 * Mtodo para cargar Arrays en la Collection del Objeto de respuesta de bsqueda.
	 * Hack para evitar NullPointerException si el array es nulo.
	 * 
	 * @param array
	 */
	public void setElementsAsArray(JSONDataTableValueObject[] array) {
		if (array == null) {
			this.setElements(new ArrayList<JSONDataTableValueObject>());
		} else {
			this.setElements(Arrays.asList(array));
		}
	}
	
}
