// license-header java merge-point
package edu.uoc.tfc.dbmodel.crud;

public interface PartManageableService
{
    public edu.uoc.tfc.dbmodel.crud.PartValueObject create(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora)
        throws Exception;

    public edu.uoc.tfc.dbmodel.crud.PartValueObject readById(java.lang.Long id)
        throws Exception;

    public java.util.List read(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora)
        throws Exception;

    public java.util.List readAll()
        throws Exception;

    public java.util.Map readBackingLists()
        throws Exception;

    public edu.uoc.tfc.dbmodel.crud.PartValueObject update(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora)
        throws Exception;

    public void delete(java.lang.Long[] ids)
        throws Exception;

}
