// license-header java merge-point
package edu.uoc.tfc.dbmodel.security.crud;

public interface OperationManageableService
{
    public edu.uoc.tfc.dbmodel.security.crud.OperationValueObject create(java.lang.String name, java.lang.String description, java.lang.String url, java.lang.Integer parent, java.lang.Integer ordre, java.lang.Long id, java.lang.Long[] roles)
        throws Exception;

    public edu.uoc.tfc.dbmodel.security.crud.OperationValueObject readById(java.lang.Long id)
        throws Exception;

    public java.util.List read(java.lang.String name, java.lang.String description, java.lang.String url, java.lang.Integer parent, java.lang.Integer ordre, java.lang.Long id, java.lang.Long[] roles)
        throws Exception;

    public java.util.List readAll()
        throws Exception;

    public java.util.Map readBackingLists()
        throws Exception;

    public edu.uoc.tfc.dbmodel.security.crud.OperationValueObject update(java.lang.String name, java.lang.String description, java.lang.String url, java.lang.Integer parent, java.lang.Integer ordre, java.lang.Long id, java.lang.Long[] roles)
        throws Exception;

    public void delete(java.lang.Long[] ids)
        throws Exception;

}
