// license-header java merge-point
package edu.uoc.tfc.dbmodel.crud;

public final class PartManageableServiceBase
    implements PartManageableService
{
    private edu.uoc.tfc.dbmodel.crud.PartManageableDao dao;

    public void setDao(edu.uoc.tfc.dbmodel.crud.PartManageableDao dao)
    {
        this.dao = dao;
    }

    protected edu.uoc.tfc.dbmodel.crud.PartManageableDao getDao()
    {
        return this.dao;
    }

    public edu.uoc.tfc.dbmodel.crud.PartValueObject create(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora)
        throws Exception
    {
        if (codiPart == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.create(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'codiPart' can not be null");
        }

        if (polissa == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.create(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'polissa' can not be null");
        }

        if (dataSinistre == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.create(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'dataSinistre' can not be null");
        }

        if (baseImposable == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.create(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'baseImposable' can not be null");
        }

        if (percentatgeIva == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.create(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'percentatgeIva' can not be null");
        }

        if (observacions == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.create(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'observacions' can not be null");
        }

        if (obert == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.create(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'obert' can not be null");
        }

        if (tipusSinistre == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.create(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'tipusSinistre' can not be null");
        }

        if (facturaDelPart == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.create(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'facturaDelPart' can not be null");
        }

        if (client == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.create(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'client' can not be null");
        }

        if (asseguradora == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.create(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'asseguradora' can not be null");
        }

        return toValueObject(dao.create(codiPart, polissa, dataSinistre, baseImposable, percentatgeIva, observacions, obert, id, tipusSinistre, facturaDelPart, client, asseguradora));
    }

    public edu.uoc.tfc.dbmodel.crud.PartValueObject readById(java.lang.Long id)
        throws Exception
    {
        return toValueObject(dao.readById(id));
    }

    public java.util.List read(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora)
        throws Exception
    {
        return toValueObjects(dao.read(codiPart, polissa, dataSinistre, baseImposable, percentatgeIva, observacions, obert, id, tipusSinistre, facturaDelPart, client, asseguradora));
    }

    public java.util.List readAll()
        throws Exception
    {
        return toValueObjects(dao.readAll());
    }

    public java.util.Map readBackingLists()
        throws Exception
    {
        return getDao().readBackingLists();
    }

    public edu.uoc.tfc.dbmodel.crud.PartValueObject update(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora)
        throws Exception
    {
        if (codiPart == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.update(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'codiPart' can not be null");
        }

        if (polissa == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.update(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'polissa' can not be null");
        }

        if (dataSinistre == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.update(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'dataSinistre' can not be null");
        }

        if (baseImposable == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.update(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'baseImposable' can not be null");
        }

        if (percentatgeIva == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.update(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'percentatgeIva' can not be null");
        }

        if (observacions == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.update(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'observacions' can not be null");
        }

        if (obert == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.update(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'obert' can not be null");
        }

        if (id == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.update(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'id' can not be null");
        }

        if (tipusSinistre == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.update(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'tipusSinistre' can not be null");
        }

        if (facturaDelPart == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.update(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'facturaDelPart' can not be null");
        }

        if (client == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.update(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'client' can not be null");
        }

        if (asseguradora == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.update(java.lang.String codiPart, java.lang.String polissa, java.lang.String dataSinistre, java.lang.Double baseImposable, java.lang.Double percentatgeIva, java.lang.String observacions, java.lang.Boolean obert, java.lang.Long id, java.lang.Long tipusSinistre, java.lang.Long[] facturaDelPart, java.lang.Long client, java.lang.Long asseguradora) - 'asseguradora' can not be null");
        }

        return toValueObject(dao.update(codiPart, polissa, dataSinistre, baseImposable, percentatgeIva, observacions, obert, id, tipusSinistre, facturaDelPart, client, asseguradora));
    }

    public void delete(java.lang.Long[] ids)
        throws Exception
    {
        if (ids == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.PartManageableService.delete(java.lang.Long[] ids) - 'ids' can not be null");
        }

        dao.delete(ids);
    }


    private static java.util.List toValueObjects(java.util.Collection entities)
    {
        final java.util.List list = new java.util.ArrayList();

        for (java.util.Iterator iterator = entities.iterator(); iterator.hasNext();)
        {
            list.add(toValueObject((edu.uoc.tfc.dbmodel.Part)iterator.next()));
        }

        return list;
    }

    private static edu.uoc.tfc.dbmodel.crud.PartValueObject toValueObject(edu.uoc.tfc.dbmodel.Part entity)
    {
        final edu.uoc.tfc.dbmodel.crud.PartValueObject valueObject = new edu.uoc.tfc.dbmodel.crud.PartValueObject();

        valueObject.setCodiPart(entity.getCodiPart());
        valueObject.setPolissa(entity.getPolissa());
        valueObject.setDataSinistre(entity.getDataSinistre());
        valueObject.setBaseImposable(entity.getBaseImposable());
        valueObject.setPercentatgeIva(entity.getPercentatgeIva());
        valueObject.setObservacions(entity.getObservacions());
        valueObject.setObert(entity.getObert());
        valueObject.setId(entity.getId());

        final edu.uoc.tfc.dbmodel.TipusSiniestre tipusSinistre = entity.getTipusSinistre();
        if (tipusSinistre != null)
        {
            valueObject.setTipusSinistre(tipusSinistre.getId());
        }

        final java.util.Collection facturaDelPart = entity.getFacturaDelPart();
        if (facturaDelPart == null || facturaDelPart.isEmpty())
        {
            valueObject.setFacturaDelPart(null);
        }
        else
        {
            final java.lang.Long[] values = new java.lang.Long[facturaDelPart.size()];
            int counter = 0;
            for (final java.util.Iterator iterator = facturaDelPart.iterator(); iterator.hasNext();counter++)
            {
                final edu.uoc.tfc.dbmodel.Factura element = (edu.uoc.tfc.dbmodel.Factura)iterator.next();
                values[counter] = element.getId();
            }
            valueObject.setFacturaDelPart(values);
        }

        final edu.uoc.tfc.dbmodel.Client client = entity.getClient();
        if (client != null)
        {
            valueObject.setClient(client.getId());
        }

        final edu.uoc.tfc.dbmodel.Asseguradora asseguradora = entity.getAsseguradora();
        if (asseguradora != null)
        {
            valueObject.setAsseguradora(asseguradora.getId());
        }

        return valueObject;
    }
}
