// license-header java merge-point
package edu.uoc.tfc.dbmodel.security.crud;

public final class UserManageableServiceBase
    implements UserManageableService
{
    private edu.uoc.tfc.dbmodel.security.crud.UserManageableDao dao;

    public void setDao(edu.uoc.tfc.dbmodel.security.crud.UserManageableDao dao)
    {
        this.dao = dao;
    }

    protected edu.uoc.tfc.dbmodel.security.crud.UserManageableDao getDao()
    {
        return this.dao;
    }

    public edu.uoc.tfc.dbmodel.security.crud.UserValueObject create(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol)
        throws Exception
    {
        if (userId == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.create(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol) - 'userId' can not be null");
        }

        if (password == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.create(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol) - 'password' can not be null");
        }

        if (adress == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.create(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol) - 'adress' can not be null");
        }

        if (active == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.create(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol) - 'active' can not be null");
        }

        if (nom == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.create(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol) - 'nom' can not be null");
        }

        if (primerCognom == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.create(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol) - 'primerCognom' can not be null");
        }

        if (segonCognom == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.create(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol) - 'segonCognom' can not be null");
        }

        if (rol == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.create(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol) - 'rol' can not be null");
        }

        return toValueObject(dao.create(userId, password, adress, active, nom, primerCognom, segonCognom, id, rol));
    }

    public edu.uoc.tfc.dbmodel.security.crud.UserValueObject readById(java.lang.Long id)
        throws Exception
    {
        return toValueObject(dao.readById(id));
    }

    public java.util.List read(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol)
        throws Exception
    {
        return toValueObjects(dao.read(userId, password, adress, active, nom, primerCognom, segonCognom, id, rol));
    }

    public java.util.List readAll()
        throws Exception
    {
        return toValueObjects(dao.readAll());
    }

    public java.util.Map readBackingLists()
        throws Exception
    {
        return getDao().readBackingLists();
    }

    public edu.uoc.tfc.dbmodel.security.crud.UserValueObject update(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol)
        throws Exception
    {
        if (userId == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.update(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol) - 'userId' can not be null");
        }

        if (password == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.update(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol) - 'password' can not be null");
        }

        if (adress == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.update(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol) - 'adress' can not be null");
        }

        if (active == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.update(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol) - 'active' can not be null");
        }

        if (nom == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.update(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol) - 'nom' can not be null");
        }

        if (primerCognom == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.update(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol) - 'primerCognom' can not be null");
        }

        if (segonCognom == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.update(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol) - 'segonCognom' can not be null");
        }

        if (id == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.update(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol) - 'id' can not be null");
        }

        if (rol == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.update(java.lang.String userId, java.lang.String password, java.lang.String adress, java.lang.Boolean active, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.Long id, java.lang.Long rol) - 'rol' can not be null");
        }

        return toValueObject(dao.update(userId, password, adress, active, nom, primerCognom, segonCognom, id, rol));
    }

    public void delete(java.lang.Long[] ids)
        throws Exception
    {
        if (ids == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.security.crud.UserManageableService.delete(java.lang.Long[] ids) - 'ids' can not be null");
        }

        dao.delete(ids);
    }


    private static java.util.List toValueObjects(java.util.Collection entities)
    {
        final java.util.List list = new java.util.ArrayList();

        for (java.util.Iterator iterator = entities.iterator(); iterator.hasNext();)
        {
            list.add(toValueObject((edu.uoc.tfc.dbmodel.security.User)iterator.next()));
        }

        return list;
    }

    private static edu.uoc.tfc.dbmodel.security.crud.UserValueObject toValueObject(edu.uoc.tfc.dbmodel.security.User entity)
    {
        final edu.uoc.tfc.dbmodel.security.crud.UserValueObject valueObject = new edu.uoc.tfc.dbmodel.security.crud.UserValueObject();

        valueObject.setUserId(entity.getUserId());
        valueObject.setPassword(entity.getPassword());
        valueObject.setAdress(entity.getAdress());
        valueObject.setActive(entity.getActive());
        valueObject.setNom(entity.getNom());
        valueObject.setPrimerCognom(entity.getPrimerCognom());
        valueObject.setSegonCognom(entity.getSegonCognom());
        valueObject.setId(entity.getId());

        final edu.uoc.tfc.dbmodel.security.Role rol = entity.getRol();
        if (rol != null)
        {
            valueObject.setRol(rol.getId());
        }

        return valueObject;
    }
}
