// license-header java merge-point
package edu.uoc.tfc.gui.asseguradores.modificacio;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionMapping;

import edu.uoc.tfc.gui.common.Level;
import edu.uoc.tfc.gui.common.MissatgeAjax;
import edu.uoc.tfc.gui.common.ResultatAccioAjaxVO;

/**
 * @see edu.uoc.tfc.gui.asseguradores.modificacio.ModificaAsseguradoraController
 */
public class ModificaAsseguradoraControllerImpl extends ModificaAsseguradoraController
{
    /**
     * @see edu.uoc.tfc.gui.asseguradores.modificacio.ModificaAsseguradoraController#modificaAsseguradora(org.apache.struts.action.ActionMapping, edu.uoc.tfc.gui.asseguradores.modificacio.ModificaAsseguradoraForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
     */
    public final void modificaAsseguradora(ActionMapping mapping, edu.uoc.tfc.gui.asseguradores.modificacio.ModificaAsseguradoraForm form, HttpServletRequest request, HttpServletResponse response) throws Exception
    {
    	getAsseguradoraService().
    		modificaAsseguradora(form.getAsseguradora());
	
		MissatgeAjax missatge = new MissatgeAjax("cu.modificacio.success", null, Level.Success);
		ResultatAccioAjaxVO resultat = new ResultatAccioAjaxVO();
		resultat.addMessage(missatge);
		form.setResultat(resultat);
    }

    /**
     * @see edu.uoc.tfc.gui.asseguradores.modificacio.ModificaAsseguradoraController#consultaAsseguradora(org.apache.struts.action.ActionMapping, edu.uoc.tfc.gui.asseguradores.modificacio.ConsultaAsseguradoraForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
     */
    public final void consultaAsseguradora(ActionMapping mapping, edu.uoc.tfc.gui.asseguradores.modificacio.ConsultaAsseguradoraForm form, HttpServletRequest request, HttpServletResponse response) throws Exception
    {
        form.setAsseguradora(
            	getAsseguradoraService().
            		getAsseguradora(form.getId()));
    }

}