// license-header java merge-point
package edu.uoc.tfc.gui.clients.modificacio;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionMapping;

import edu.uoc.tfc.gui.common.Level;
import edu.uoc.tfc.gui.common.MissatgeAjax;
import edu.uoc.tfc.gui.common.ResultatAccioAjaxVO;

/**
 * @see edu.uoc.tfc.gui.clients.modificacio.ModificaClientController
 */
public class ModificaClientControllerImpl extends ModificaClientController
{
    /**
     * @see edu.uoc.tfc.gui.clients.modificacio.ModificaClientController#modificaClient(org.apache.struts.action.ActionMapping, edu.uoc.tfc.gui.clients.modificacio.ModificaClientForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
     */
    public final void modificaClient(ActionMapping mapping, edu.uoc.tfc.gui.clients.modificacio.ModificaClientForm form, HttpServletRequest request, HttpServletResponse response) throws Exception
    {
    	getClientService().
			modificaClient(form.getClient());

		MissatgeAjax missatge = new MissatgeAjax("cu.modificacio.success", null, Level.Success);
		ResultatAccioAjaxVO resultat = new ResultatAccioAjaxVO();
		resultat.addMessage(missatge);
		form.setResultat(resultat);
    }

    /**
     * @see edu.uoc.tfc.gui.clients.modificacio.ModificaClientController#consultaClient(org.apache.struts.action.ActionMapping, edu.uoc.tfc.gui.clients.modificacio.ConsultaClientForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
     */
    public final void consultaClient(ActionMapping mapping, edu.uoc.tfc.gui.clients.modificacio.ConsultaClientForm form, HttpServletRequest request, HttpServletResponse response) throws Exception
    {
        form.setClient(
            	getClientService().
            		getClient(form.getId()));
    }

}