// license-header java merge-point
package edu.uoc.tfc.gui.parts.alta;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionMapping;

import edu.uoc.tfc.gui.common.Level;
import edu.uoc.tfc.gui.common.MissatgeAjax;
import edu.uoc.tfc.gui.common.ResultatAccioAjaxVO;

/**
 * @see edu.uoc.tfc.gui.parts.alta.AltaPartController
 */
public class AltaPartControllerImpl extends AltaPartController
{
    /**
     * @see edu.uoc.tfc.gui.parts.alta.AltaPartController#altaPart(org.apache.struts.action.ActionMapping, edu.uoc.tfc.gui.parts.alta.AltaPartForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
     */
    public final void altaPart(ActionMapping mapping, edu.uoc.tfc.gui.parts.alta.AltaPartForm form, HttpServletRequest request, HttpServletResponse response) throws Exception
    {
    	getPartService().altaPart(
    			form.getPart(),
    			form.getAsseguradoraId(),
    			form.getTipusSinistreId(),
    			form.getClientId());
    								
		MissatgeAjax missatge = new MissatgeAjax("cu.alta.success", null, Level.Success);
		ResultatAccioAjaxVO resultat = new ResultatAccioAjaxVO();
		resultat.addMessage(missatge);
		form.setResultat(resultat);  
    }


}