// license-header java merge-point
package edu.uoc.tfc.gui.parts.carregaAsseguradores;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionMapping;

import edu.uoc.tfc.dto.AsseguradoraVO;
import edu.uoc.tfc.gui.common.Option;
import edu.uoc.tfc.gui.common.SelectBox;

/**
 * @see edu.uoc.tfc.gui.parts.carregaAsseguradores.CarregaAsseguradoresController
 */
public class CarregaAsseguradoresControllerImpl extends CarregaAsseguradoresController
{
    /**
     * @see edu.uoc.tfc.gui.parts.carregaAsseguradores.CarregaAsseguradoresController#carregaAsseguradores(org.apache.struts.action.ActionMapping, edu.uoc.tfc.gui.parts.carregaAsseguradores.CarregaAsseguradoresForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
     */
    public final void carregaAsseguradores(ActionMapping mapping, edu.uoc.tfc.gui.parts.carregaAsseguradores.CarregaAsseguradoresForm form, HttpServletRequest request, HttpServletResponse response) throws Exception
    {
    	SelectBox selectResultado = new SelectBox();

    	AsseguradoraVO[] asseguradores = this.getPartService()
    			.carregaAsseguradores();

    	Option[] options = new Option[asseguradores.length];
    	for (int i=0; i<asseguradores.length; i++){
    		Option o = new Option();
    		AsseguradoraVO a = asseguradores[i];
    		
    		o.setOptionDisplay(a.getNom());
    		o.setOptionValue(a.getId().toString());
    		options[i]=o;
    	}
    	
    	selectResultado.setOptions(options);
    	form.setSelectResultat(selectResultado);    
    }

}