// license-header java merge-point
package edu.uoc.tfc.gui.parts.imprimirFactura;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionMapping;

import edu.uoc.tfc.web.DownloadWrapperVO;

/**
 * @see edu.uoc.tfc.gui.parts.imprimirFactura.ImprimirFacturaController
 */
public class ImprimirFacturaControllerImpl extends ImprimirFacturaController
{
    /**
     * @see edu.uoc.tfc.gui.parts.imprimirFactura.ImprimirFacturaController#imprimirFactura(org.apache.struts.action.ActionMapping, edu.uoc.tfc.gui.parts.imprimirFactura.ImprimirFacturaForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
     */
    public final void imprimirFactura(ActionMapping mapping, edu.uoc.tfc.gui.parts.imprimirFactura.ImprimirFacturaForm form, HttpServletRequest request, HttpServletResponse response) throws Exception
    {
    	DownloadWrapperVO facturaPDF = getPartService().imprimirFactura(
    			form.getPartId());
    	
    	form.setResultat(facturaPDF);
    	
    								
    }

    /**
     * @see edu.uoc.tfc.gui.parts.imprimirFactura.ImprimirFacturaController#consultaFactura(org.apache.struts.action.ActionMapping, edu.uoc.tfc.gui.parts.imprimirFactura.ConsultaFacturaForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
     */
    public final void consultaFactura(ActionMapping mapping, edu.uoc.tfc.gui.parts.imprimirFactura.ConsultaFacturaForm form, HttpServletRequest request, HttpServletResponse response) throws Exception
    {
        form.setFactura(
        		getPartService().getFactura(form.getId()));
    }

}