// license-header java merge-point
package edu.uoc.tfc.gui.security.gestioUsuaris;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionMapping;

import edu.uoc.tfc.dto.security.RoleVO;
import edu.uoc.tfc.gui.common.Option;
import edu.uoc.tfc.gui.common.SelectBox;

/**
 * @see edu.uoc.tfc.gui.security.gestioUsuaris.GestioUsuarisController
 */
public class GestioUsuarisControllerImpl extends GestioUsuarisController
{
    /**
     * @see edu.uoc.tfc.gui.security.gestioUsuaris.GestioUsuarisController#cercaUsuaris(org.apache.struts.action.ActionMapping, edu.uoc.tfc.gui.security.gestioUsuaris.CercaUsuarisForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
     */
    public final void cercaUsuaris(ActionMapping mapping, edu.uoc.tfc.gui.security.gestioUsuaris.CercaUsuarisForm form, HttpServletRequest request, HttpServletResponse response) throws Exception
    {
        form.setUsuaris(this.
        		getSecurityService().
        			cercaUsuaris(form.getCriteriaUser()));                
    }

	@Override
	public void carregaRols(ActionMapping mapping, CarregaRolsForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {

    	SelectBox selectResultado = new SelectBox();

    	RoleVO[] roles = this.getSecurityService()
    			.carregaRols();

    	Option[] options = new Option[roles.length];
    	for (int i=0; i<roles.length; i++){
    		Option o = new Option();
    		RoleVO r = roles[i];
    		
    		o.setOptionDisplay(r.getRoleId());
    		o.setOptionValue(r.getId().toString());
    		options[i]=o;
    	}
    	
    	selectResultado.setOptions(options);
    	form.setSelectResultat(selectResultado);		
		
	}

}