<%@ include file="/taglib-imports.jspf" %>

<tiles:insert definition="backend.layout">
    <%@ include file="/edu/uoc/tfc/gui/clients/cerca-client-dades-javascript.jspf" %>

    <tiles:put name="body" type="string">
		<%@ include file="/edu/uoc/tfc/gui/clients/cerca-client-dades-cerca-client.jspf" %>
				
		<emkt:dataTables
			tableName="buscarClients"
			action="/CUCercaClient/CercaClientDadesCercaClient.do"
			columnNames="dto.client.dni,dto.client.nom,dto.client.primerCognom,dto.client.segonCognom,dto.client.actiu"
			columnAttributes="dni,nom,primerCognom,segonCognom,actiu"
			columnWidths="15,25,25,25,10"
			footer="true"
			searchOnLoad="false"
			prettyWrite="true"
			bytoken="false">
		
			<authz:authorize ifAnyGranted="ROLE_PERIT">	
				<emkt:dataTablesButton
					iconClass="icon-info-sign"
					label="datatables.view"
					operation="/CUCercaClient/CercaClientDadesConsultaClient.do"
					columnName="id"
					readonly="false"
					bytoken="false"
					modalClass="modal-emkt-medium"
				/>

				<emkt:dataTablesButton
					iconClass="icon-pencil"
					label="datatables.edit"
					operation="/CUCercaClient/CercaClientDadesModificaClient.do"
					columnName="id"
					readonly="false"
					bytoken="false"
					modalClass="modal-emkt-medium"
				/>

				<emkt:ajaxButton
					iconClass="icon-plus-sign"
					label="datatables.newClient"
					operation="/CUCercaClient/CercaClientDadesAltaClient.do"
					bytoken="false"
					modalClass="modal-emkt-medium"
				/>				
			</authz:authorize>
		</emkt:dataTables>		
    </tiles:put>
</tiles:insert>