<%@page import="org.apache.struts.Globals"%>
<%@ include file="/taglib-imports.jspf" %>

<script type="text/javascript">
var LOCALE = {
		'ERROR': '<bean:message key="error.exception.message" />',
		'SESSION' : {
			'NOT_FOUND': '<bean:message key="session.not_found" />'
		},
		'DATATABLES' : {
			'FIRST' : '<bean:message key="datatables.first" />',
			'NEXT' : '<bean:message key="datatables.next" />',
			'PREVIOUS' : '<bean:message key="datatables.previous" />',
			'LAST' : '<bean:message key="datatables.last" />',
			'SHOWING' : '<bean:message key="datatables.showing" />',
			'TOTAL' : '<bean:message key="datatables.total" />',
			'FORM_ERROR': '<bean:message key="datatables.form.error" />',
			'SELECT_ROW': '<bean:message key="datatables.form.select.row" />',
			'EMPTY_TABLE': '<bean:message key="datatables.empty_table" />',
			'INFO': '<bean:message key="datatables.info" />',
			'INFO_EMPTY': '<bean:message key="datatables.info_empty" />',
			'INFO_FILTERED': '<bean:message key="datatables.info_filtered" />',
			"LOADING": '<bean:message key="datatables.loading" />',
			"PROCESSING": '<bean:message key="datatables.processing" />',
			"SEARCH": '<bean:message key="datatables.search" />',
			"ZERO_RECORDS": '<bean:message key="datatables.zero_records" />'
		},
		'TABLETOOLS' : {
			'COPY': '<bean:message key="tabletools.copy" />',
			'COPY_SINGLE': '<bean:message key="tabletools.copy.single" />',
			'COPY_MULTIPLE': '<bean:message key="tabletools.copy.multiple" />',
			'CSV': '<bean:message key="tabletools.csv" />',
			'EXCEL': '<bean:message key="tabletools.excel" />',
			'PDF': '<bean:message key="tabletools.pdf" />',
			'PRINT': '<bean:message key="tabletools.print" />'
		},
		'FILEUPLOAD' : {
			'ERROR' : '<bean:message key="fileupload.error" />',
			'SUCCESS' : '<bean:message key="fileupload.success" />'
		},
		'FORM' : {
			'CHECK' : {
				'ALL_FIELDS' : '<bean:message key="form.check.allfields" />',
				'DATE_FIELD' : '<bean:message key="form.check.datefield" />',
				'TIME_FIELD' : '<bean:message key="form.check.timefield" />',
				'NUMERIC_FIELD' : '<bean:message key="form.check.numericfield" />'
			}
		},
		'CONDITIONS' : {
			'SEPARATOR' : '<bean:message key="filtro.condiciones.separador" />',
			'ADD_CONDITION' : '<bean:message key="filtro.condiciones.nueva_condicion" />',
			'ADD_BRACKETS' : '<bean:message key="filtro.condiciones.nuevo_parentesis" />',
			'REMOVE' : '<bean:message key="filtro.condiciones.eliminar" />',
			'YES' : '<bean:message key="filtro.condiciones.si" />',
			'NO' : '<bean:message key="filtro.condiciones.no" />',
			'EQUAL' : '<bean:message key="filtro.condiciones.igual" />',
			'INCLUDES' : '<bean:message key="filtro.condiciones.contenga" />',
			'MINOR' : '<bean:message key="filtro.condiciones.menor" />',
			'MAJOR' : '<bean:message key="filtro.condiciones.mayor" />',
			'MINOR_EQUAL' : '<bean:message key="filtro.condiciones.menor_igual" />',
			'MAJOR_EQUAL' : '<bean:message key="filtro.condiciones.mayor_igual" />',
			'AND' : '<bean:message key="filtro.condiciones.y" />',
			'OR' : '<bean:message key="filtro.condiciones.o" />'
		},
		'SKU' : {
			'TODOS' : '<bean:message key="dto.pincodes.sku.todos" />',
			'MARCA' : '<bean:message key="dto.pincodes.sku.seleccione.marca" />',
			'FAMILIA' : '<bean:message key="dto.pincodes.sku.seleccione.familia" />',
			'VARIEDAD' : '<bean:message key="dto.pincodes.sku.seleccione.variedad" />',
			'FORMATO' : '<bean:message key="dto.pincodes.sku.seleccione.formato" />'
		}
};

var USER_LANGUAGE = "<%= session.getAttribute(Globals.LOCALE_KEY) %>";
function getSiteLanguage() {
	var DEFAULT_LOCALE_SITE_LANGUAGE = 'es_ES';

	if (USER_LANGUAGE == "null") {
		return DEFAULT_LOCALE_SITE_LANGUAGE;
	} else {
		return USER_LANGUAGE;
	}
}

var LOCALE_DATE = {
	month_names: ['<bean:message key="common.fecha.enero" />', '<bean:message key="common.fecha.febrero" />', '<bean:message key="common.fecha.marzo" />', '<bean:message key="common.fecha.abril" />', '<bean:message key="common.fecha.mayo" />', '<bean:message key="common.fecha.junio" />', '<bean:message key="common.fecha.julio" />', '<bean:message key="common.fecha.agosto" />', '<bean:message key="common.fecha.septiembre" />', '<bean:message key="common.fecha.octubre" />', '<bean:message key="common.fecha.noviembre" />', '<bean:message key="common.fecha.diciembre" />'],
	short_month_names: ['<bean:message key="common.fecha.enero.short" />', '<bean:message key="common.fecha.febrero.short" />', '<bean:message key="common.fecha.marzo.short" />', '<bean:message key="common.fecha.abril.short" />', '<bean:message key="common.fecha.mayo.short" />', '<bean:message key="common.fecha.junio.short" />', '<bean:message key="common.fecha.julio.short" />', '<bean:message key="common.fecha.agosto.short" />', '<bean:message key="common.fecha.septiembre.short" />', '<bean:message key="common.fecha.octubre.short" />', '<bean:message key="common.fecha.noviembre.short" />', '<bean:message key="common.fecha.diciembre.short" />'],
	short_day_names: ['<bean:message key="common.fecha.domingo.short" />', '<bean:message key="common.fecha.lunes.short" />', '<bean:message key="common.fecha.martes.short" />', '<bean:message key="common.fecha.miercoles.short" />', '<bean:message key="common.fecha.jueves.short" />', '<bean:message key="common.fecha.viernes.short" />', '<bean:message key="common.fecha.sabado.short" />'],
	start_of_week: 1,
	//
	short_month_names: ['01', '02', '03', '04', '05', '06', '07', '08', '09', '10', '11', '12']
};
</script>