<!DOCTYPE html>
<%@ include file="/taglib-imports.jspf" %>
<html>
<head>

	<title>TCF</title>
	<meta http-equiv="Content-Type" content="text/html; charset:ISO-8859-1" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="IE=8">

    <link href="<%=request.getContextPath()%>/layout/css/bootstrap.css" rel="stylesheet" />
    <link href="<%=request.getContextPath()%>/layout/css/emkt.css" rel="stylesheet" />
    <link href="<%=request.getContextPath()%>/layout/css/emkt-responsive.css" rel="stylesheet" />
    <link href="<%=request.getContextPath()%>/layout/css/date_input.css" rel="stylesheet" />
    <link href="<%=request.getContextPath()%>/layout/css/DT_bootstrap.css" rel="stylesheet">
    <link href="<%=request.getContextPath()%>/layout/css/TableTools.css" rel="stylesheet">
</head>

<body class="row-fluid">
    
	<div id="ajax-hidden-response" class="hide"></div>
	
 	<%if(request.getParameter("login_error")!=null){ %>
		<div id="emkt-alert" class="alert fade in alert-error" style="">
			<a class="close" href="#"></a>
			<div>
				<div id="error">
					<ul class="emkt-messages-list">
						<li class="emkt-message.error">
							<strong>
								<%if(request.getParameter("login_error").equals("1")){ %>
									<bean:message key="AbstractUserDetailsAuthenticationProvider.badCredentials"/>
								<%}else if (request.getParameter("login_error").equals("2")){%>
									<bean:message key="AbstractUserDetailsAuthenticationProvider.disabledUser"/>
								<%}%>
							</strong>
						</li>
					</ul>
				</div>
			</div>
		</div>																		        
	<%}%>	
	<tiles:insert attribute="navbar" flush="true" />
	
	<div class="container-fluid">
		<div class="row-fluid">
			<div class="span12">
				<div class="row-fluid">
					<div id="principal">
						<div class="principal">
							<div id="content" class="content">
								<tiles:insert attribute="body" flush="true" />
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>		
	      <footer>
				<br />
				<p class="brand">
					<bean:message key="application.name" />
					[<bean:message key="application.environment" /> <bean:message key="application.version" />]
					<bean:message key="application.copyright" />
				</p>
	       
	      </footer>		
	</div>
	
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/jquery/jquery.min.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/jquery/jquery.cookie.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-carousel.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-transition.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-alert.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-modal.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-dropdown.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-scrollspy.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-tab.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-tooltip.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-popover.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-button.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-collapse.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/jquery/jquery.dataTables.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/jquery/jquery.date_input.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/jquery/jquery-download.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/jquery/TableTools.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/jquery/ZeroClipboard.js"></script>
	<script type="text/javascript">$($.date_input.initialize);</script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-forms.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-datatables.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-jquery-ajax.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-jquery-on.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-messages.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-loading.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-direct-access.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-modal.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-tooltip.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-menu.js"></script>

</body>
</html>