<!DOCTYPE html>
<%@ include file="/taglib-imports.jspf" %>
<html>
<head>

	<title>TCF</title>
	<meta http-equiv="Content-Type" content="text/html; charset:ISO-8859-1" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="IE=8">

    <link href="<%=request.getContextPath()%>/layout/css/bootstrap.css" rel="stylesheet" />
    <link href="<%=request.getContextPath()%>/layout/css/emkt.css" rel="stylesheet" />
    <link href="<%=request.getContextPath()%>/layout/css/emkt-responsive.css" rel="stylesheet" />
    <link href="<%=request.getContextPath()%>/layout/css/date_input.css" rel="stylesheet" />
    <link href="<%=request.getContextPath()%>/layout/css/DT_bootstrap.css" rel="stylesheet">
    <link href="<%=request.getContextPath()%>/layout/css/TableTools.css" rel="stylesheet">

	<tiles:insert attribute="locale" flush="true" />
</head>

<body class="row-fluid">
    
	<div id="ajax-hidden-response" class="hide"></div>
	
	
	<!-- MODAL -->
	<div class="modal-backdrop fade in hide"></div>
	<div id="modal" class="modal hide fade">
		<div class="modal-header">
			<a class="close" data-dismiss="modal">&times;</a>
		</div>
		<div id="modal-alert" class="alert hide fade">
			<a class="close" href="#"></a>
			<div></div>
		</div>
		<div id="modal-body">
		</div>
		<div id="modal-footer">&nbsp;</div>
		</div>
	<!-- /MODAL -->
	
		
	<!-- elemento "cargando" -->
	<div id="emkt-loading" class="modal-loading fade in">
		<img src="<%=request.getContextPath()%>/layout/img/ajax-loader.gif" />
	</div>
	<div id="emkt-loading-mask" class="modal-backdrop emkt-loading-mask fade in"></div>
	<!-- /elemento "cargando" -->
	
	<tiles:insert attribute="navbar" flush="true" />
	<tiles:insert attribute="menu" flush="true" />
	
	<div class="container-fluid">
		
		<div id="emkt-breadcrumbs" class="nav_breadcrumb"/>

		<div id="emkt-alert" class="alert hide fade">
			<a class="close" href="#"></a>
			<div></div>
		</div>		
		
		<div class="row-fluid">
			<div class="span12">
				<div class="row-fluid">
					<div id="principal">
						<div class="principal">
							<div id="content" class="content">
								<tiles:insert attribute="body" flush="true" />
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>		
	</div>
<%--  	<tiles:insert attribute="messages" flush="true" /> --%>
	<tiles:insert attribute="javascript" flush="true" />
	
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/jquery/jquery.min.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/jquery/jquery.cookie.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-carousel.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-transition.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-alert.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-modal.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-dropdown.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-scrollspy.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-tab.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-tooltip.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-popover.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-button.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/bootstrap/2.0/bootstrap-collapse.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/jquery/jquery.dataTables.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/jquery/jquery.date_input.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/jquery/jquery-download.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/jquery/TableTools.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/jquery/ZeroClipboard.js"></script>
	<script type="text/javascript">$($.date_input.initialize);</script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-forms.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-datatables.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-jquery-ajax.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-jquery-on.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-messages.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-loading.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-direct-access.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-modal.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-tooltip.js"></script>
	<script type="text/javascript" src="<%=request.getContextPath()%>/layout/scripts/emkt-menu.js"></script>
	
</body>
</html>