
var menu = {
	root: undefined,
	init: function(arg){
		if ($('#emkt-menu').length > 0){
			menu.root = $('#menu-fixed-top');
			menu.root.html('');
			$(arg.items).each(function(){
				menu.root.append(
					$('<li>').append(
						$('<a>')
							.attr('href', '#')
							.attr('data-menus', this.related)
							.append(this.name)	
					)
				);
			});
			var anchors = menu.root.find('a');
			anchors.each(function(){
				$(this).click(function(){
					var that = $(this);
					that.parents('ul').children().removeClass('active');
					that.parent().addClass('active');
					var menus = that.data('menus').split(',');
					$('#emkt-menu .dropdown').hide();
					var single = menus.length == 1;
					$(menus).each(function(){
						var li = $('#menu' + this).parent('li');
						var subUl = li.children('ul');
						if (single && subUl.hasClass('dropdown-menu')){
							subUl.removeClass('dropdown-menu').addClass('nav nav-pills emkt-menu-nav');
							li.children('a').hide();
						}
						li.show();
					});
				});
			});
			$('#emkt-menu .dropdown-menu li').click(function(){
				$(this)
					.parents('.menu_categorias')
					.find('li')
					.removeClass('active');
				$(this).addClass('active');
			});
			anchors.first().click();
			$('#emkt-menu')
				.find('.emkt-ajax')
				.first()
				.parent()
				.addClass('active');
		}
	}
};