<%@ include file="/taglib-imports.jspf" %>

<tiles:insert definition="help.layout">

    <tiles:put name="title" type="string">
        <bean:message key="online.help.title"/>
        <bean:message key="cu.home.title"/>
    </tiles:put>

    <tiles:put name="body" type="string">
        <h1><bean:message key="cu.home.title"/></h1>
        <p>
            <bean:message key="cu.home.online.help"/>
        </p>
        <h2><bean:message key="cu.alta.usuari.title"/></h2>
        <p>
            <bean:message key="cu.alta.usuari.online.help"/>
        </p>
        <h2><bean:message key="cu.modifica.usuari.title"/></h2>
        <p>
            <bean:message key="cu.modifica.usuari.online.help"/>
        </p>
        <h2><bean:message key="cu.gestio.usuaris.title"/></h2>
        <p>
            <bean:message key="cu.gestio.usuaris.online.help"/>
        </p>
        <h2><bean:message key="cu.home.title"/></h2>
        <p>
            <bean:message key="cu.home.online.help"/>
        </p>
        <h2><bean:message key="cu.perfil.title"/></h2>
        <p>
            <bean:message key="cu.perfil.online.help"/>
        </p>
        <h2><bean:message key="cu.logout.title"/></h2>
        <p>
            <bean:message key="cu.logout.online.help"/>
        </p>
        <h2><bean:message key="cu.cerca.tipus.sinistre.title"/></h2>
        <p>
            <bean:message key="cu.cerca.tipus.sinistre.online.help"/>
        </p>
        <h2><bean:message key="cu.modifica.tipus.sinistre.title"/></h2>
        <p>
            <bean:message key="cu.modifica.tipus.sinistre.online.help"/>
        </p>
        <h2><bean:message key="cu.alta.tipus.sinistre.title"/></h2>
        <p>
            <bean:message key="cu.alta.tipus.sinistre.online.help"/>
        </p>
        <h2><bean:message key="cu.cerca.asseguradora.title"/></h2>
        <p>
            <bean:message key="cu.cerca.asseguradora.online.help"/>
        </p>
        <h2><bean:message key="cu.alta.asseguradora.title"/></h2>
        <p>
            <bean:message key="cu.alta.asseguradora.online.help"/>
        </p>
        <h2><bean:message key="cu.modifica.asseguradora.title"/></h2>
        <p>
            <bean:message key="cu.modifica.asseguradora.online.help"/>
        </p>
        <h2><bean:message key="cu.cerca.parts.title"/></h2>
        <p>
            <bean:message key="cu.cerca.parts.online.help"/>
        </p>
        <h2><bean:message key="cu.modifica.part.title"/></h2>
        <p>
            <bean:message key="cu.modifica.part.online.help"/>
        </p>
        <h2><bean:message key="cu.alta.part.title"/></h2>
        <p>
            <bean:message key="cu.alta.part.online.help"/>
        </p>
        <h2><bean:message key="cu.imprimir.part.title"/></h2>
        <p>
            <bean:message key="cu.imprimir.part.online.help"/>
        </p>
        <h2><bean:message key="cu.tanca.part.title"/></h2>
        <p>
            <bean:message key="cu.tanca.part.online.help"/>
        </p>
        <h2><bean:message key="cu.carrega.clients.title"/></h2>
        <p>
            <bean:message key="cu.carrega.clients.online.help"/>
        </p>
        <h2><bean:message key="cu.carrega.asseguradores.title"/></h2>
        <p>
            <bean:message key="cu.carrega.asseguradores.online.help"/>
        </p>
        <h2><bean:message key="cu.carrega.tipus.sinistre.title"/></h2>
        <p>
            <bean:message key="cu.carrega.tipus.sinistre.online.help"/>
        </p>
        <h2><bean:message key="cu.imprimir.factura.title"/></h2>
        <p>
            <bean:message key="cu.imprimir.factura.online.help"/>
        </p>
        <h2><bean:message key="cu.cerca.client.title"/></h2>
        <p>
            <bean:message key="cu.cerca.client.online.help"/>
        </p>
        <h2><bean:message key="cu.modifica.client.title"/></h2>
        <p>
            <bean:message key="cu.modifica.client.online.help"/>
        </p>
        <h2><bean:message key="cu.consulta.client.title"/></h2>
        <p>
            <bean:message key="cu.consulta.client.online.help"/>
        </p>
        <h2><bean:message key="cu.alta.client.title"/></h2>
        <p>
            <bean:message key="cu.alta.client.online.help"/>
        </p>
    </tiles:put>

</tiles:insert>

