<%@ include file="/taglib-imports.jspf" %>

<tiles:insert definition="backend.layout">
    <%@ include file="/edu/uoc/tfc/gui/asseguradores/cerca-asseguradora-dades-javascript.jspf" %>

    <tiles:put name="body" type="string">
		<%@ include file="/edu/uoc/tfc/gui/asseguradores/cerca-asseguradora-dades-cerca-asseguradora.jspf" %>
				
		<emkt:dataTables
			tableName="buscarAsseguradores"
			action="/CUCercaAsseguradora/CercaAsseguradoraDadesCercaAsseguradora.do"
			columnNames="dto.asseguradora.nom,dto.asseguradora.descripcio,dto.asseguradora.activa"
			columnAttributes="nom,descripcio,activa"
			columnWidths="40,50,10"
			footer="true"
			searchOnLoad="false"
			prettyWrite="true"
			bytoken="false">
		
			<authz:authorize ifAnyGranted="ROLE_PERIT">	
				<emkt:dataTablesButton
					iconClass="icon-pencil"
					label="datatables.edit"
					operation="/CUCercaAsseguradora/CercaAsseguradoraDadesModificaAsseguradora.do"
					columnName="id"
					readonly="false"
					bytoken="false"
					modalClass="modal-emkt-medium"
				/>

				<emkt:ajaxButton
					iconClass="icon-plus-sign" 
					label="datatables.newAsseguradora"
					operation="/CUCercaAsseguradora/CercaAsseguradoraDadesAltaAsseguradora.do"
					bytoken="false"
					modalClass="modal-emkt-medium"
				/>				
			</authz:authorize>
		</emkt:dataTables>		
    </tiles:put>
</tiles:insert>