// license-header java merge-point
package edu.uoc.tfc.gui.clients.modificacio;

/**
 * This form encapsulates the fields that are used in the execution of the
 * <code>modificaClient</code> method, which is located on the
 * <code>edu.uoc.tfc.gui.clients.modificacio.ModificaClientController</code> controller.
 *
 * 
 *
 * @see edu.uoc.tfc.gui.clients.modificacio.ModificaClientController#modificaClient
 */
public interface ModificaClientForm
{
    /**
     * Sets the <code>resultat</code> field.
     *
     * 
     */
    public void setResultat(edu.uoc.tfc.gui.common.ResultatAccioAjaxVO resultat);

    /**
     * Gets the <code>resultat</code> field.
     *
     * 
     */
    public edu.uoc.tfc.gui.common.ResultatAccioAjaxVO getResultat();
    
    /**
     * Resets the <code>resultat</code> field.
     */
    public void resetResultat();

    /**
     * Sets the <code>client</code> field.
     *
     * 
     */
    public void setClient(edu.uoc.tfc.dto.ClientVO client);

    /**
     * Gets the <code>client</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.ClientVO getClient();
    
    /**
     * Resets the <code>client</code> field.
     */
    public void resetClient();

}
