// license-header java merge-point
package edu.uoc.tfc.gui.home;

/**
 * This form encapsulates the fields that are used in the execution of the
 * <code>crearMenu</code> method, which is located on the
 * <code>edu.uoc.tfc.gui.home.HomeController</code> controller.
 *
 * 
 *
 * @see edu.uoc.tfc.gui.home.HomeController#crearMenu
 */
public interface CrearMenuForm
{
    /**
     * Sets the <code>operacions</code> field.
     *
     * 
     */
    public void setOperacions(edu.uoc.tfc.dto.security.OperationVO[] operacions);

    /**
     * Gets the <code>operacions</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.security.OperationVO[] getOperacions();
    
    /**
     * Resets the <code>operacions</code> field.
     */
    public void resetOperacions();

}
