// license-header java merge-point
package edu.uoc.tfc.gui.parts;

/**
 * This form encapsulates the fields that are used in the execution of the
 * <code>cercaParts</code> method, which is located on the
 * <code>edu.uoc.tfc.gui.parts.CercaPartsController</code> controller.
 *
 * 
 *
 * @see edu.uoc.tfc.gui.parts.CercaPartsController#cercaParts
 */
public interface CercaPartsForm
{
    /**
     * Sets the <code>resultat</code> field.
     *
     * 
     */
    public void setResultat(edu.uoc.tfc.dto.ResultatCercaPartVO resultat);

    /**
     * Gets the <code>resultat</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.ResultatCercaPartVO getResultat();
    
    /**
     * Resets the <code>resultat</code> field.
     */
    public void resetResultat();

    /**
     * Sets the <code>criteriaPart</code> field.
     *
     * 
     */
    public void setCriteriaPart(edu.uoc.tfc.dto.CriteriaPartVO criteriaPart);

    /**
     * Gets the <code>criteriaPart</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.CriteriaPartVO getCriteriaPart();
    
    /**
     * Resets the <code>criteriaPart</code> field.
     */
    public void resetCriteriaPart();

}
