// license-header java merge-point
package edu.uoc.tfc.gui.parts.imprimir;

/**
 * This form encapsulates the fields that are used in the execution of the
 * <code>consultaPart</code> method, which is located on the
 * <code>edu.uoc.tfc.gui.parts.imprimir.ImprimirPartController</code> controller.
 *
 * 
 *
 * @see edu.uoc.tfc.gui.parts.imprimir.ImprimirPartController#consultaPart
 */
public interface ConsultaPartForm
{
    /**
     * Sets the <code>part</code> field.
     *
     * 
     */
    public void setPart(edu.uoc.tfc.dto.PartVO part);

    /**
     * Gets the <code>part</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.PartVO getPart();
    
    /**
     * Resets the <code>part</code> field.
     */
    public void resetPart();

    /**
     * Sets the <code>id</code> field.
     *
     * 
     */
    public void setId(java.lang.String id);

    /**
     * Gets the <code>id</code> field.
     *
     * 
     */
    public java.lang.String getId();
    
    /**
     * Resets the <code>id</code> field.
     */
    public void resetId();

}
