// license-header java merge-point
package edu.uoc.tfc.gui.parts.tancar;

/**
 * This form encapsulates the fields that are used in the execution of the
 * <code>tancaPart</code> method, which is located on the
 * <code>edu.uoc.tfc.gui.parts.tancar.TancaPartController</code> controller.
 *
 * 
 *
 * @see edu.uoc.tfc.gui.parts.tancar.TancaPartController#tancaPart
 */
public interface TancaPartForm
{
    /**
     * Sets the <code>part</code> field.
     *
     * 
     */
    public void setPart(edu.uoc.tfc.dto.PartVO part);

    /**
     * Gets the <code>part</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.PartVO getPart();
    
    /**
     * Resets the <code>part</code> field.
     */
    public void resetPart();

    /**
     * Sets the <code>resultat</code> field.
     *
     * 
     */
    public void setResultat(edu.uoc.tfc.gui.common.ResultatAccioAjaxVO resultat);

    /**
     * Gets the <code>resultat</code> field.
     *
     * 
     */
    public edu.uoc.tfc.gui.common.ResultatAccioAjaxVO getResultat();
    
    /**
     * Resets the <code>resultat</code> field.
     */
    public void resetResultat();

}
