// license-header java merge-point
package edu.uoc.tfc.gui.tipusSiniestre;

/**
 * This form encapsulates the fields that are used in the execution of the
 * <code>cercaTipusSinistre</code> method, which is located on the
 * <code>edu.uoc.tfc.gui.tipusSiniestre.CercaTipusSinistreController</code> controller.
 *
 * 
 *
 * @see edu.uoc.tfc.gui.tipusSiniestre.CercaTipusSinistreController#cercaTipusSinistre
 */
public interface CercaTipusSinistreForm
{
    /**
     * Sets the <code>criteriaTipusSinistre</code> field.
     *
     * 
     */
    public void setCriteriaTipusSinistre(edu.uoc.tfc.dto.CriteriaTipusSinistreVO criteriaTipusSinistre);

    /**
     * Gets the <code>criteriaTipusSinistre</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.CriteriaTipusSinistreVO getCriteriaTipusSinistre();
    
    /**
     * Resets the <code>criteriaTipusSinistre</code> field.
     */
    public void resetCriteriaTipusSinistre();

    /**
     * Sets the <code>resultat</code> field.
     *
     * 
     */
    public void setResultat(edu.uoc.tfc.dto.ResultatCercaTipusSinistreVO resultat);

    /**
     * Gets the <code>resultat</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.ResultatCercaTipusSinistreVO getResultat();
    
    /**
     * Resets the <code>resultat</code> field.
     */
    public void resetResultat();

}
