// license-header java merge-point
package edu.uoc.tfc.gui.tipusSiniestre.alta;

/**
 * This form encapsulates the fields that are used in the execution of the
 * <code>altaTipusSinistre</code> method, which is located on the
 * <code>edu.uoc.tfc.gui.tipusSiniestre.alta.AltaTipusSinistreController</code> controller.
 *
 * 
 *
 * @see edu.uoc.tfc.gui.tipusSiniestre.alta.AltaTipusSinistreController#altaTipusSinistre
 */
public interface AltaTipusSinistreForm
{
    /**
     * Sets the <code>resultat</code> field.
     *
     * 
     */
    public void setResultat(edu.uoc.tfc.gui.common.ResultatAccioAjaxVO resultat);

    /**
     * Gets the <code>resultat</code> field.
     *
     * 
     */
    public edu.uoc.tfc.gui.common.ResultatAccioAjaxVO getResultat();
    
    /**
     * Resets the <code>resultat</code> field.
     */
    public void resetResultat();

    /**
     * Sets the <code>tipusSinistre</code> field.
     *
     * 
     */
    public void setTipusSinistre(edu.uoc.tfc.dto.TipusSinistreVO tipusSinistre);

    /**
     * Gets the <code>tipusSinistre</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.TipusSinistreVO getTipusSinistre();
    
    /**
     * Resets the <code>tipusSinistre</code> field.
     */
    public void resetTipusSinistre();

}
