<%@ include file="/taglib-imports.jspf" %>

<tiles:insert definition="backend.layout">
    <%@ include file="/edu/uoc/tfc/gui/tipusSiniestre/cerca-tipus-sinistre-dades-javascript.jspf" %>

    <tiles:put name="body" type="string">
		<%@ include file="/edu/uoc/tfc/gui/tipusSiniestre/cerca-tipus-sinistre-dades-cerca-tipus-sinistre.jspf" %>
		
		<emkt:dataTables
			tableName="buscarTipusSinistre"
			action="/CUCercaTipusSinistre/CercaTipusSinistreDadesCercaTipusSinistre.do"
			columnNames="dto.tipusSinistre.nom,dto.tipusSinistre.actiu"
			columnAttributes="nom,actiu"
			columnWidths="90,10"
			footer="true"
			searchOnLoad="false"
			prettyWrite="true"
			bytoken="false">
		
			<authz:authorize ifAnyGranted="ROLE_PERIT">	
				<emkt:dataTablesButton
					iconClass="icon-pencil"
					label="datatables.edit"
					operation="/CUCercaTipusSinistre/CercaTipusSinistreDadesModificaTipusSinistre.do"
					columnName="id"
					readonly="false"
					bytoken="false"
					modalClass="modal-emkt-medium"
				/>

				<emkt:ajaxButton
					iconClass="icon-plus-sign"
					label="datatables.newTipusSinistre"
					operation="/CUCercaTipusSinistre/CercaTipusSinistreDadesAltaTipusSinistre.do"
					bytoken="false"
					modalClass="modal-emkt-medium"
				/>				
			</authz:authorize>
		</emkt:dataTables>		
    </tiles:put>
</tiles:insert>