// license-header java merge-point
package edu.uoc.tfc.dbmodel.security.crud;

public interface RoleManageableService
{
    public edu.uoc.tfc.dbmodel.security.crud.RoleValueObject create(java.lang.String roleId, java.lang.String description, java.lang.Long id, java.lang.Long[] users, java.lang.Long[] operations)
        throws Exception;

    public edu.uoc.tfc.dbmodel.security.crud.RoleValueObject readById(java.lang.Long id)
        throws Exception;

    public java.util.List read(java.lang.String roleId, java.lang.String description, java.lang.Long id, java.lang.Long[] users, java.lang.Long[] operations)
        throws Exception;

    public java.util.List readAll()
        throws Exception;

    public java.util.Map readBackingLists()
        throws Exception;

    public edu.uoc.tfc.dbmodel.security.crud.RoleValueObject update(java.lang.String roleId, java.lang.String description, java.lang.Long id, java.lang.Long[] users, java.lang.Long[] operations)
        throws Exception;

    public void delete(java.lang.Long[] ids)
        throws Exception;

}
