package edu.uoc.tfc.web.tags;



import javax.activation.DataHandler;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.jsp.JspException;

import org.apache.log4j.Logger;

import edu.uoc.tfc.web.DownloadWrapperVO;


public class DownloadContentTag extends EmktBaseTag
{

 

    private static final long serialVersionUID = 1L;



    private static final Logger LOG = Logger.getLogger(AjaxResponseTag.class);


	@Override
	public int doStartTag() throws JspException
	{
        try
        {
    		Object objeto = this.parseaObjeto(this.getFormBean());
    		DownloadWrapperVO descarga = (DownloadWrapperVO)objeto;
    		    		
    		this.printDownload(descarga);
		}
        catch (Exception e)
        {
			LOG.error("Error parseando objeto: " + this.getProperty(), e);
		} 

		return SKIP_BODY;
	}



	private void printDownload(DownloadWrapperVO descarga)
	throws Exception
	{
		HttpServletResponse resp = (HttpServletResponse) pageContext.getResponse();
		resp.setContentType("application/pdf");
		resp.setHeader("Content-Disposition", "attachment;filename=\""+ descarga.getFileName() +"\"");
		resp.setHeader("Cache-Control", "no-cache, must-revalidate");
		/**
		 * esta cabecera es necesaria para que el plugin jquery.fileDownload
		 * sepa que la respuesta es vlida.
		 */
		resp.setHeader("Set-Cookie", "fileDownload=true");  
		
		ServletOutputStream sosStream = null;
		sosStream = resp.getOutputStream();
		DataHandler dh = (DataHandler)descarga.getContent();
		dh.writeTo(sosStream);
	    sosStream.flush();
	    sosStream.close();
	    
	}
	


	public int doEndTag() {
        return EVAL_PAGE;
    }



}
