// license-header java merge-point
package edu.uoc.tfc.dbmodel.crud;

public final class ClientManageableServiceBase
    implements ClientManageableService
{
    private edu.uoc.tfc.dbmodel.crud.ClientManageableDao dao;

    public void setDao(edu.uoc.tfc.dbmodel.crud.ClientManageableDao dao)
    {
        this.dao = dao;
    }

    protected edu.uoc.tfc.dbmodel.crud.ClientManageableDao getDao()
    {
        return this.dao;
    }

    public edu.uoc.tfc.dbmodel.crud.ClientValueObject create(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient)
        throws Exception
    {
        if (dni == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.create(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'dni' can not be null");
        }

        if (nom == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.create(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'nom' can not be null");
        }

        if (primerCognom == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.create(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'primerCognom' can not be null");
        }

        if (segonCognom == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.create(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'segonCognom' can not be null");
        }

        if (telefon == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.create(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'telefon' can not be null");
        }

        if (mail == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.create(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'mail' can not be null");
        }

        if (dataNaixement == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.create(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'dataNaixement' can not be null");
        }

        if (actiu == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.create(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'actiu' can not be null");
        }

        if (partsDelClient == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.create(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'partsDelClient' can not be null");
        }

        return toValueObject(dao.create(dni, nom, primerCognom, segonCognom, telefon, mail, dataNaixement, actiu, id, partsDelClient));
    }

    public edu.uoc.tfc.dbmodel.crud.ClientValueObject readById(java.lang.Long id)
        throws Exception
    {
        return toValueObject(dao.readById(id));
    }

    public java.util.List read(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient)
        throws Exception
    {
        return toValueObjects(dao.read(dni, nom, primerCognom, segonCognom, telefon, mail, dataNaixement, actiu, id, partsDelClient));
    }

    public java.util.List readAll()
        throws Exception
    {
        return toValueObjects(dao.readAll());
    }

    public java.util.Map readBackingLists()
        throws Exception
    {
        return getDao().readBackingLists();
    }

    public edu.uoc.tfc.dbmodel.crud.ClientValueObject update(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient)
        throws Exception
    {
        if (dni == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.update(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'dni' can not be null");
        }

        if (nom == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.update(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'nom' can not be null");
        }

        if (primerCognom == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.update(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'primerCognom' can not be null");
        }

        if (segonCognom == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.update(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'segonCognom' can not be null");
        }

        if (telefon == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.update(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'telefon' can not be null");
        }

        if (mail == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.update(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'mail' can not be null");
        }

        if (dataNaixement == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.update(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'dataNaixement' can not be null");
        }

        if (actiu == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.update(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'actiu' can not be null");
        }

        if (id == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.update(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'id' can not be null");
        }

        if (partsDelClient == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.update(java.lang.String dni, java.lang.String nom, java.lang.String primerCognom, java.lang.String segonCognom, java.lang.String telefon, java.lang.String mail, java.lang.String dataNaixement, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] partsDelClient) - 'partsDelClient' can not be null");
        }

        return toValueObject(dao.update(dni, nom, primerCognom, segonCognom, telefon, mail, dataNaixement, actiu, id, partsDelClient));
    }

    public void delete(java.lang.Long[] ids)
        throws Exception
    {
        if (ids == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.ClientManageableService.delete(java.lang.Long[] ids) - 'ids' can not be null");
        }

        dao.delete(ids);
    }


    private static java.util.List toValueObjects(java.util.Collection entities)
    {
        final java.util.List list = new java.util.ArrayList();

        for (java.util.Iterator iterator = entities.iterator(); iterator.hasNext();)
        {
            list.add(toValueObject((edu.uoc.tfc.dbmodel.Client)iterator.next()));
        }

        return list;
    }

    private static edu.uoc.tfc.dbmodel.crud.ClientValueObject toValueObject(edu.uoc.tfc.dbmodel.Client entity)
    {
        final edu.uoc.tfc.dbmodel.crud.ClientValueObject valueObject = new edu.uoc.tfc.dbmodel.crud.ClientValueObject();

        valueObject.setDni(entity.getDni());
        valueObject.setNom(entity.getNom());
        valueObject.setPrimerCognom(entity.getPrimerCognom());
        valueObject.setSegonCognom(entity.getSegonCognom());
        valueObject.setTelefon(entity.getTelefon());
        valueObject.setMail(entity.getMail());
        valueObject.setDataNaixement(entity.getDataNaixement());
        valueObject.setActiu(entity.getActiu());
        valueObject.setId(entity.getId());

        final java.util.Collection partsDelClient = entity.getPartsDelClient();
        if (partsDelClient == null || partsDelClient.isEmpty())
        {
            valueObject.setPartsDelClient(null);
        }
        else
        {
            final java.lang.Long[] values = new java.lang.Long[partsDelClient.size()];
            int counter = 0;
            for (final java.util.Iterator iterator = partsDelClient.iterator(); iterator.hasNext();counter++)
            {
                final edu.uoc.tfc.dbmodel.Part element = (edu.uoc.tfc.dbmodel.Part)iterator.next();
                values[counter] = element.getId();
            }
            valueObject.setPartsDelClient(values);
        }

        return valueObject;
    }
}
