// license-header java merge-point
package edu.uoc.tfc.dbmodel.crud;

public final class TipusSiniestreManageableServiceBase
    implements TipusSiniestreManageableService
{
    private edu.uoc.tfc.dbmodel.crud.TipusSiniestreManageableDao dao;

    public void setDao(edu.uoc.tfc.dbmodel.crud.TipusSiniestreManageableDao dao)
    {
        this.dao = dao;
    }

    protected edu.uoc.tfc.dbmodel.crud.TipusSiniestreManageableDao getDao()
    {
        return this.dao;
    }

    public edu.uoc.tfc.dbmodel.crud.TipusSiniestreValueObject create(java.lang.String nom, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] parts)
        throws Exception
    {
        if (nom == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.TipusSiniestreManageableService.create(java.lang.String nom, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] parts) - 'nom' can not be null");
        }

        if (actiu == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.TipusSiniestreManageableService.create(java.lang.String nom, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] parts) - 'actiu' can not be null");
        }

        return toValueObject(dao.create(nom, actiu, id, parts));
    }

    public edu.uoc.tfc.dbmodel.crud.TipusSiniestreValueObject readById(java.lang.Long id)
        throws Exception
    {
        return toValueObject(dao.readById(id));
    }

    public java.util.List read(java.lang.String nom, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] parts)
        throws Exception
    {
        return toValueObjects(dao.read(nom, actiu, id, parts));
    }

    public java.util.List readAll()
        throws Exception
    {
        return toValueObjects(dao.readAll());
    }

    public java.util.Map readBackingLists()
        throws Exception
    {
        return getDao().readBackingLists();
    }

    public edu.uoc.tfc.dbmodel.crud.TipusSiniestreValueObject update(java.lang.String nom, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] parts)
        throws Exception
    {
        if (nom == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.TipusSiniestreManageableService.update(java.lang.String nom, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] parts) - 'nom' can not be null");
        }

        if (actiu == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.TipusSiniestreManageableService.update(java.lang.String nom, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] parts) - 'actiu' can not be null");
        }

        if (id == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.TipusSiniestreManageableService.update(java.lang.String nom, java.lang.Boolean actiu, java.lang.Long id, java.lang.Long[] parts) - 'id' can not be null");
        }

        return toValueObject(dao.update(nom, actiu, id, parts));
    }

    public void delete(java.lang.Long[] ids)
        throws Exception
    {
        if (ids == null)
        {
            throw new IllegalArgumentException(
                "edu.uoc.tfc.dbmodel.crud.TipusSiniestreManageableService.delete(java.lang.Long[] ids) - 'ids' can not be null");
        }

        dao.delete(ids);
    }


    private static java.util.List toValueObjects(java.util.Collection entities)
    {
        final java.util.List list = new java.util.ArrayList();

        for (java.util.Iterator iterator = entities.iterator(); iterator.hasNext();)
        {
            list.add(toValueObject((edu.uoc.tfc.dbmodel.TipusSiniestre)iterator.next()));
        }

        return list;
    }

    private static edu.uoc.tfc.dbmodel.crud.TipusSiniestreValueObject toValueObject(edu.uoc.tfc.dbmodel.TipusSiniestre entity)
    {
        final edu.uoc.tfc.dbmodel.crud.TipusSiniestreValueObject valueObject = new edu.uoc.tfc.dbmodel.crud.TipusSiniestreValueObject();

        valueObject.setNom(entity.getNom());
        valueObject.setActiu(entity.getActiu());
        valueObject.setId(entity.getId());

        final java.util.Collection parts = entity.getParts();
        if (parts == null || parts.isEmpty())
        {
            valueObject.setParts(null);
        }
        else
        {
            final java.lang.Long[] values = new java.lang.Long[parts.size()];
            int counter = 0;
            for (final java.util.Iterator iterator = parts.iterator(); iterator.hasNext();counter++)
            {
                final edu.uoc.tfc.dbmodel.Part element = (edu.uoc.tfc.dbmodel.Part)iterator.next();
                values[counter] = element.getId();
            }
            valueObject.setParts(values);
        }

        return valueObject;
    }
}
