// license-header java merge-point
package edu.uoc.tfc.gui.tipusSiniestre.modificacio;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionMapping;

import edu.uoc.tfc.gui.common.Level;
import edu.uoc.tfc.gui.common.MissatgeAjax;
import edu.uoc.tfc.gui.common.ResultatAccioAjaxVO;

/**
 * @see edu.uoc.tfc.gui.tipusSiniestre.modificacio.ModificaTipusSinistreController
 */
public class ModificaTipusSinistreControllerImpl extends ModificaTipusSinistreController
{
    /**
     * @see edu.uoc.tfc.gui.tipusSiniestre.modificacio.ModificaTipusSinistreController#modificaTipusSinistre(org.apache.struts.action.ActionMapping, edu.uoc.tfc.gui.tipusSiniestre.modificacio.ModificaTipusSinistreForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
     */
    public final void modificaTipusSinistre(ActionMapping mapping, edu.uoc.tfc.gui.tipusSiniestre.modificacio.ModificaTipusSinistreForm form, HttpServletRequest request, HttpServletResponse response) throws Exception
    {
    	getTipusSinistreService().
    		modificaTipusSinistre(form.getTipusSinistre());

    	MissatgeAjax missatge = new MissatgeAjax("cu.modificacio.success", null, Level.Success);
    	ResultatAccioAjaxVO resultat = new ResultatAccioAjaxVO();
    	resultat.addMessage(missatge);
    	form.setResultat(resultat);
    }

    /**
     * @see edu.uoc.tfc.gui.tipusSiniestre.modificacio.ModificaTipusSinistreController#consultaTipusSinistre(org.apache.struts.action.ActionMapping, edu.uoc.tfc.gui.tipusSiniestre.modificacio.ConsultaTipusSinistreForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
     */
    public final void consultaTipusSinistre(ActionMapping mapping, edu.uoc.tfc.gui.tipusSiniestre.modificacio.ConsultaTipusSinistreForm form, HttpServletRequest request, HttpServletResponse response) throws Exception
    {
        form.setTipusSinistre(
            	getTipusSinistreService().
            		getTipusSinistre(form.getId()));
    }

}