
	function ajaxCall(theTargetDiv, theServer, theOperation, theData,
		theSuccessFunction, theErrorFunction, theSuccessForward, successClose
	){
		loading.show();
		if (!theData)
			theData = {};

		
		if (!theTargetDiv){
			theTargetDiv = 'ajax-hidden-response';
		}
		var successFunctionsArray = [];
		var i = 0;
		successFunctionsArray[i++] = successDefault(theTargetDiv);
		if (successClose){
			successFunctionsArray[i++] = modal.closeRecoveringMessage;
		}
		if (theSuccessFunction){
			successFunctionsArray[i++] = theSuccessFunction;
		}
		if (theSuccessForward){
			successFunctionsArray[i++] = function(){
				ajaxCall('content', theServer, theSuccessForward, theData);
			};
		}
		if (!theErrorFunction){
			theErrorFunction = errorDefault;
		}
		$.ajax({
			url: theServer + theOperation,
			type: 'POST',
			data: theData,
			success: successFunctionsArray,
			error: theErrorFunction
		});
	}



	function successDefault(theTargetDiv){
		return function(response){
			$('#' + theTargetDiv).html(response);
			loading.hide();
		};
	}



	function errorDefault(jqXHR, textStatus, errorThrown){
		messages.error(jqXHR.responseText);
		loading.hide();
	}



	$.fn.serializeObject = function(){
		var o = {};
		var a = this.serializeArray();
		$.each(a, function(){
			if (o[this.name] !== undefined){
				if (!o[this.name].push){
					o[this.name] = [o[this.name]];
				}
				o[this.name].push(this.value || '');
			}else{
				o[this.name] = this.value || '';
			}
		});
		return o;
	};



	function deleteSession(service){
		$.ajax({
			url: service + '/j_acegi_logout',
			type: 'POST',
			async: false
		});
	}