
var modal = {
	theModal: $('#modal'),
	theModalBody: $('#modal-body'),
	isOpen: false,
	init: function() {
		$(window).resize(modal.resize);
		modal.theModal.on(
			'hide',
			'#error-details',
			function(e){
				e.stopPropagation();
			}
		);
		modal.theModal.on(
			'hidden',
			'#error-details',
			function(e){
				e.stopPropagation();
			}
		);
		modal.theModal.on('hidden', function (e) {
			modal.clean();
		});
		modal.theModal.on('show', function (e) {
			modal.isOpen = true;
		});
		modal.theModal.on('hide', function (e) {
			modal.isOpen = false;
		});
	},
	open: function(modalClass) {
		if (!modalClass)
			modalClass = 'modal-emkt-big';
		modal.theModal.removeClass().addClass(modalClass + ' show fade');
		modal.theModal.modal('show');
		modal.theModalBody.height('');
		modal.resize();
	},
	clean: function() {
		
		modal.theModalBody.html('');
	},
	close: function() {
		modal.theModal.find('.close').click();
	},
	closeRecoveringMessage: function() {
		messages.moveMessage();
		modal.close();
	},
    resize: function() {
    	if (modal.theModal.hasClass('modal-emkt-big')){
    		var size = 100;
    		if (messages.isModalAlertShown())
    			size += $(messages.ALERT_MODAL).outerHeight(true);
    		modal.theModalBody.height(modal.theModal.height() - size);
    	}
	}
};
modal.init();
