<%@ include file="/taglib-imports.jspf" %>

<tiles:insert definition="help.layout">

    <tiles:put name="title" type="string">
        <bean:message key="online.help.title"/>
        <bean:message key="part"/>
    </tiles:put>

    <tiles:put name="body" type="string">
        <h1><bean:message key="part"/></h1>
        <p>
            <bean:message key="part.online.help"/>
        </p>
        <h2><bean:message key="part.codi.part"/></h2>
        <p>
            <bean:message key="part.codi.part.online.help"/>
        </p>
        <h2><bean:message key="part.polissa"/></h2>
        <p>
            <bean:message key="part.polissa.online.help"/>
        </p>
        <h2><bean:message key="part.data.sinistre"/></h2>
        <p>
            <bean:message key="part.data.sinistre.online.help"/>
        </p>
        <h2><bean:message key="part.base.imposable"/></h2>
        <p>
            <bean:message key="part.base.imposable.online.help"/>
        </p>
        <h2><bean:message key="part.percentatge.iva"/></h2>
        <p>
            <bean:message key="part.percentatge.iva.online.help"/>
        </p>
        <h2><bean:message key="part.observacions"/></h2>
        <p>
            <bean:message key="part.observacions.online.help"/>
        </p>
        <h2><bean:message key="part.obert"/></h2>
        <p>
            <bean:message key="part.obert.online.help"/>
        </p>
        <h2><bean:message key="part.tipus.sinistre"/></h2>
        <p>
            <bean:message key="part.tipus.sinistre.online.help"/>
        </p>
        <h2><bean:message key="part.factura.del.part"/></h2>
        <p>
            <bean:message key="part.factura.del.part.online.help"/>
        </p>
        <h2><bean:message key="part.client"/></h2>
        <p>
            <bean:message key="part.client.online.help"/>
        </p>
        <h2><bean:message key="part.asseguradora"/></h2>
        <p>
            <bean:message key="part.asseguradora.online.help"/>
        </p>
    </tiles:put>

</tiles:insert>

