<%@ include file="/taglib-imports.jspf" %>

<tiles:insert definition="help.layout">

    <tiles:put name="title" type="string">
        <bean:message key="online.help.title"/>
        <bean:message key="role"/>
    </tiles:put>

    <tiles:put name="body" type="string">
        <h1><bean:message key="role"/></h1>
        <p>
            <bean:message key="role.online.help"/>
        </p>
        <h2><bean:message key="role.role.id"/></h2>
        <p>
            <bean:message key="role.role.id.online.help"/>
        </p>
        <h2><bean:message key="role.description"/></h2>
        <p>
            <bean:message key="role.description.online.help"/>
        </p>
        <h2><bean:message key="role.users"/></h2>
        <p>
            <bean:message key="role.users.online.help"/>
        </p>
        <h2><bean:message key="role.operations"/></h2>
        <p>
            <bean:message key="role.operations.online.help"/>
        </p>
    </tiles:put>

</tiles:insert>

