// license-header java merge-point
package edu.uoc.tfc.gui.asseguradores;

/**
 * This form encapsulates the fields that are used in the execution of the
 * <code>cercaAsseguradora</code> method, which is located on the
 * <code>edu.uoc.tfc.gui.asseguradores.CercaAsseguradoraController</code> controller.
 *
 * 
 *
 * @see edu.uoc.tfc.gui.asseguradores.CercaAsseguradoraController#cercaAsseguradora
 */
public interface CercaAsseguradoraForm
{
    /**
     * Sets the <code>resultat</code> field.
     *
     * 
     */
    public void setResultat(edu.uoc.tfc.dto.ResultatCercaAsseguradoraVO resultat);

    /**
     * Gets the <code>resultat</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.ResultatCercaAsseguradoraVO getResultat();
    
    /**
     * Resets the <code>resultat</code> field.
     */
    public void resetResultat();

    /**
     * Sets the <code>criteriaAsseguradora</code> field.
     *
     * 
     */
    public void setCriteriaAsseguradora(edu.uoc.tfc.dto.CriteriaAsseguradoraVO criteriaAsseguradora);

    /**
     * Gets the <code>criteriaAsseguradora</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.CriteriaAsseguradoraVO getCriteriaAsseguradora();
    
    /**
     * Resets the <code>criteriaAsseguradora</code> field.
     */
    public void resetCriteriaAsseguradora();

}
