// license-header java merge-point
package edu.uoc.tfc.gui.asseguradores.modificacio;

/**
 * 
 */
public final class CUModificaAsseguradora extends edu.uoc.tfc.web.EmktAction
{
    public org.apache.struts.action.ActionForward execute(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws java.lang.Exception
    {
        final CUModificaAsseguradoraFormImpl specificForm = (CUModificaAsseguradoraFormImpl)form;

        final Object previousFormObject = request.getSession().getAttribute("form");

        if (previousFormObject instanceof edu.uoc.tfc.gui.asseguradores.CercaAsseguradoraDadesModificaAsseguradoraFormImpl)
        {
            final edu.uoc.tfc.gui.asseguradores.CercaAsseguradoraDadesModificaAsseguradoraFormImpl previousForm = (edu.uoc.tfc.gui.asseguradores.CercaAsseguradoraDadesModificaAsseguradoraFormImpl)previousFormObject;
            specificForm.setId(previousForm.getId());
        }
        else
        {
            // do nothing
        }
        org.apache.struts.action.ActionForward forward = null;

        try
        {
        	// Parseamos siempre el criteria del formulario como soporte a la paginacion.
        	parseCriteria(request, form);
        	checkReadonly(request);
            forward = _consultaAsseguradora(mapping, form, request, response);
        }
        catch (java.lang.Exception exception)
        {
            // we populate the current form with only the request parameters
            Object currentForm = request.getSession().getAttribute("form");
            // if we can't get the 'form' from the session, try from the request
            if (currentForm == null)
            {
                currentForm = request.getAttribute("form");
            }
            if (currentForm != null)
            {
                final java.util.Map parameters = new java.util.HashMap();
                for (final java.util.Enumeration names = request.getParameterNames(); names.hasMoreElements();)
                {
                    final String name = String.valueOf(names.nextElement());
                    parameters.put(name, request.getParameter(name));
                }
                try
                {
                    org.apache.commons.beanutils.BeanUtils.populate(currentForm, parameters);
                }
                catch (java.lang.Exception populateException)
                {
                    // ignore if we have an exception here (we just don't populate).
                }
            }
            throw exception;
        }

        request.getSession().setAttribute("form", form);


        return forward;
    }

    /**
     * 
     */
    private org.apache.struts.action.ActionForward _consultaAsseguradora(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws java.lang.Exception
    {
        org.apache.struts.action.ActionForward forward = null;

        edu.uoc.tfc.gui.asseguradores.modificacio.ModificaAsseguradoraControllerFactory.getModificaAsseguradoraControllerInstance().consultaAsseguradora(mapping, (CUModificaAsseguradoraFormImpl)form, request, response);
        forward = mapping.findForward("modifica.asseguradora.dades");


        return forward;
    }

}
