// license-header java merge-point
package edu.uoc.tfc.gui.asseguradores.modificacio;

/**
 * This form encapsulates the fields that are used in the execution of the
 * <code>modificaAsseguradora</code> method, which is located on the
 * <code>edu.uoc.tfc.gui.asseguradores.modificacio.ModificaAsseguradoraController</code> controller.
 *
 * 
 *
 * @see edu.uoc.tfc.gui.asseguradores.modificacio.ModificaAsseguradoraController#modificaAsseguradora
 */
public interface ModificaAsseguradoraForm
{
    /**
     * Sets the <code>resultat</code> field.
     *
     * 
     */
    public void setResultat(edu.uoc.tfc.gui.common.ResultatAccioAjaxVO resultat);

    /**
     * Gets the <code>resultat</code> field.
     *
     * 
     */
    public edu.uoc.tfc.gui.common.ResultatAccioAjaxVO getResultat();
    
    /**
     * Resets the <code>resultat</code> field.
     */
    public void resetResultat();

    /**
     * Sets the <code>asseguradora</code> field.
     *
     * 
     */
    public void setAsseguradora(edu.uoc.tfc.dto.AsseguradoraVO asseguradora);

    /**
     * Gets the <code>asseguradora</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.AsseguradoraVO getAsseguradora();
    
    /**
     * Resets the <code>asseguradora</code> field.
     */
    public void resetAsseguradora();

}
