// license-header java merge-point
package edu.uoc.tfc.gui.clients;

/**
 * This form encapsulates the fields that are used in the execution of the
 * <code>cercaClient</code> method, which is located on the
 * <code>edu.uoc.tfc.gui.clients.CercaClientController</code> controller.
 *
 * 
 *
 * @see edu.uoc.tfc.gui.clients.CercaClientController#cercaClient
 */
public interface CercaClientForm
{
    /**
     * Sets the <code>resultat</code> field.
     *
     * 
     */
    public void setResultat(edu.uoc.tfc.dto.ResultatCercaClientVO resultat);

    /**
     * Gets the <code>resultat</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.ResultatCercaClientVO getResultat();
    
    /**
     * Resets the <code>resultat</code> field.
     */
    public void resetResultat();

    /**
     * Sets the <code>criteriaClient</code> field.
     *
     * 
     */
    public void setCriteriaClient(edu.uoc.tfc.dto.CriteriaClientVO criteriaClient);

    /**
     * Gets the <code>criteriaClient</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.CriteriaClientVO getCriteriaClient();
    
    /**
     * Resets the <code>criteriaClient</code> field.
     */
    public void resetCriteriaClient();

}
