// license-header java merge-point
package edu.uoc.tfc.gui.clients.consulta;

/**
 * This form encapsulates the fields that are used in the execution of the
 * <code>consultaClient</code> method, which is located on the
 * <code>edu.uoc.tfc.gui.clients.consulta.ConsultaClientController</code> controller.
 *
 * 
 *
 * @see edu.uoc.tfc.gui.clients.consulta.ConsultaClientController#consultaClient
 */
public interface ConsultaClientForm
{
    /**
     * Sets the <code>client</code> field.
     *
     * 
     */
    public void setClient(edu.uoc.tfc.dto.ClientVO client);

    /**
     * Gets the <code>client</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.ClientVO getClient();
    
    /**
     * Resets the <code>client</code> field.
     */
    public void resetClient();

    /**
     * Sets the <code>id</code> field.
     *
     * 
     */
    public void setId(java.lang.String id);

    /**
     * Gets the <code>id</code> field.
     *
     * 
     */
    public java.lang.String getId();
    
    /**
     * Resets the <code>id</code> field.
     */
    public void resetId();

}
