// license-header java merge-point
package edu.uoc.tfc.gui.home.meuPerfil;

/**
 * This form encapsulates the fields that are used in the execution of the
 * <code>modificaUsuari</code> method, which is located on the
 * <code>edu.uoc.tfc.gui.home.meuPerfil.PerfilController</code> controller.
 *
 * 
 *
 * @see edu.uoc.tfc.gui.home.meuPerfil.PerfilController#modificaUsuari
 */
public interface ModificaUsuariForm
{
    /**
     * Sets the <code>resultat</code> field.
     *
     * 
     */
    public void setResultat(edu.uoc.tfc.gui.common.ResultatAccioAjaxVO resultat);

    /**
     * Gets the <code>resultat</code> field.
     *
     * 
     */
    public edu.uoc.tfc.gui.common.ResultatAccioAjaxVO getResultat();
    
    /**
     * Resets the <code>resultat</code> field.
     */
    public void resetResultat();

    /**
     * Sets the <code>perfil</code> field.
     *
     * 
     */
    public void setPerfil(edu.uoc.tfc.dto.PerfilVO perfil);

    /**
     * Gets the <code>perfil</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.PerfilVO getPerfil();
    
    /**
     * Resets the <code>perfil</code> field.
     */
    public void resetPerfil();

}
