// license-header java merge-point
package edu.uoc.tfc.gui.parts.alta;

/**
 * This form encapsulates the fields that are used in the execution of the
 * <code>altaPart</code> method, which is located on the
 * <code>edu.uoc.tfc.gui.parts.alta.AltaPartController</code> controller.
 *
 * 
 *
 * @see edu.uoc.tfc.gui.parts.alta.AltaPartController#altaPart
 */
public interface AltaPartForm
{
    /**
     * Sets the <code>asseguradoraId</code> field.
     *
     * 
     */
    public void setAsseguradoraId(java.lang.String asseguradoraId);

    /**
     * Gets the <code>asseguradoraId</code> field.
     *
     * 
     */
    public java.lang.String getAsseguradoraId();
    
    /**
     * Resets the <code>asseguradoraId</code> field.
     */
    public void resetAsseguradoraId();

    /**
     * Sets the <code>part</code> field.
     *
     * 
     */
    public void setPart(edu.uoc.tfc.dto.PartVO part);

    /**
     * Gets the <code>part</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.PartVO getPart();
    
    /**
     * Resets the <code>part</code> field.
     */
    public void resetPart();

    /**
     * Sets the <code>resultat</code> field.
     *
     * 
     */
    public void setResultat(edu.uoc.tfc.gui.common.ResultatAccioAjaxVO resultat);

    /**
     * Gets the <code>resultat</code> field.
     *
     * 
     */
    public edu.uoc.tfc.gui.common.ResultatAccioAjaxVO getResultat();
    
    /**
     * Resets the <code>resultat</code> field.
     */
    public void resetResultat();

    /**
     * Sets the <code>tipusSinistreId</code> field.
     *
     * 
     */
    public void setTipusSinistreId(java.lang.String tipusSinistreId);

    /**
     * Gets the <code>tipusSinistreId</code> field.
     *
     * 
     */
    public java.lang.String getTipusSinistreId();
    
    /**
     * Resets the <code>tipusSinistreId</code> field.
     */
    public void resetTipusSinistreId();

    /**
     * Sets the <code>clientId</code> field.
     *
     * 
     */
    public void setClientId(java.lang.String clientId);

    /**
     * Gets the <code>clientId</code> field.
     *
     * 
     */
    public java.lang.String getClientId();
    
    /**
     * Resets the <code>clientId</code> field.
     */
    public void resetClientId();

}
