<%@ include file="/taglib-imports.jspf" %>

<tiles:insert definition="help.layout">

    <tiles:put name="title" type="string">
        <bean:message key="online.help.title"/>
        <bean:message key="cu.cerca.parts.cerca.part.dades"/>
    </tiles:put>

    <tiles:put name="body" type="string">
        <h1><bean:message key="cu.cerca.parts.cerca.part.dades"/></h1>
        <p>
            <bean:message key="cu.cerca.parts.cerca.part.dades.online.help"/>
        </p>
        <h2><bean:message key="cu.cerca.parts.cerca.part.dades.cerca.parts"/></h2>
        <p>
            <bean:message key="cu.cerca.parts.cerca.part.dades.cerca.parts.online.help"/>
        </p>
        <br/>
            <table>
                <tr class="even">
                    <th><bean:message key="online.help.inputfield"/></th>
                    <th><bean:message key="online.help.description"/></th>
                </tr>
                <tr class="odd">
                    <td><bean:message key="cu.cerca.parts.cerca.part.dades.cerca.parts.param.criteria.part"/></td>
                    <td><bean:message key="cu.cerca.parts.cerca.part.dades.cerca.parts.param.criteria.part.online.help"/></td>
                </tr>
            </table>
        <h2><bean:message key="cu.cerca.parts.cerca.part.dades.imprimir.part"/></h2>
        <p>
            <bean:message key="cu.cerca.parts.cerca.part.dades.imprimir.part.online.help"/>
        </p>
        <br/>
            <table>
                <tr class="even">
                    <th><bean:message key="online.help.inputfield"/></th>
                    <th><bean:message key="online.help.description"/></th>
                </tr>
                <tr class="odd">
                    <td><bean:message key="cu.cerca.parts.cerca.part.dades.imprimir.part.param.id"/></td>
                    <td><bean:message key="cu.cerca.parts.cerca.part.dades.imprimir.part.param.id.online.help"/></td>
                </tr>
            </table>
        <h2><bean:message key="cu.cerca.parts.cerca.part.dades.modifica.part"/></h2>
        <p>
            <bean:message key="cu.cerca.parts.cerca.part.dades.modifica.part.online.help"/>
        </p>
        <br/>
            <table>
                <tr class="even">
                    <th><bean:message key="online.help.inputfield"/></th>
                    <th><bean:message key="online.help.description"/></th>
                </tr>
                <tr class="odd">
                    <td><bean:message key="cu.cerca.parts.cerca.part.dades.modifica.part.param.id"/></td>
                    <td><bean:message key="cu.cerca.parts.cerca.part.dades.modifica.part.param.id.online.help"/></td>
                </tr>
            </table>
        <h2><bean:message key="cu.cerca.parts.cerca.part.dades.tanca.part"/></h2>
        <p>
            <bean:message key="cu.cerca.parts.cerca.part.dades.tanca.part.online.help"/>
        </p>
        <br/>
            <table>
                <tr class="even">
                    <th><bean:message key="online.help.inputfield"/></th>
                    <th><bean:message key="online.help.description"/></th>
                </tr>
                <tr class="odd">
                    <td><bean:message key="cu.cerca.parts.cerca.part.dades.tanca.part.param.id"/></td>
                    <td><bean:message key="cu.cerca.parts.cerca.part.dades.tanca.part.param.id.online.help"/></td>
                </tr>
            </table>
        <h2><bean:message key="cu.cerca.parts.cerca.part.dades.alta.part"/></h2>
        <p>
            <bean:message key="cu.cerca.parts.cerca.part.dades.alta.part.online.help"/>
        </p>
        <br/>
        <h2><bean:message key="cu.cerca.parts.cerca.part.dades.carrega.tipus.sinistre"/></h2>
        <p>
            <bean:message key="cu.cerca.parts.cerca.part.dades.carrega.tipus.sinistre.online.help"/>
        </p>
        <br/>
        <h2><bean:message key="cu.cerca.parts.cerca.part.dades.carrega.asseguradores"/></h2>
        <p>
            <bean:message key="cu.cerca.parts.cerca.part.dades.carrega.asseguradores.online.help"/>
        </p>
        <br/>
        <h2><bean:message key="cu.cerca.parts.cerca.part.dades.carrega.clients"/></h2>
        <p>
            <bean:message key="cu.cerca.parts.cerca.part.dades.carrega.clients.online.help"/>
        </p>
        <br/>
        <h2><bean:message key="cu.cerca.parts.cerca.part.dades.imprimir.factura"/></h2>
        <p>
            <bean:message key="cu.cerca.parts.cerca.part.dades.imprimir.factura.online.help"/>
        </p>
        <br/>
            <table>
                <tr class="even">
                    <th><bean:message key="online.help.inputfield"/></th>
                    <th><bean:message key="online.help.description"/></th>
                </tr>
                <tr class="odd">
                    <td><bean:message key="cu.cerca.parts.cerca.part.dades.imprimir.factura.param.id"/></td>
                    <td><bean:message key="cu.cerca.parts.cerca.part.dades.imprimir.factura.param.id.online.help"/></td>
                </tr>
            </table>
    </tiles:put>

</tiles:insert>

