// license-header java merge-point
package edu.uoc.tfc.gui.parts.imprimirFactura;

/**
 * This form encapsulates the fields that are used in the execution of the
 * <code>consultaFactura</code> method, which is located on the
 * <code>edu.uoc.tfc.gui.parts.imprimirFactura.ImprimirFacturaController</code> controller.
 *
 * 
 *
 * @see edu.uoc.tfc.gui.parts.imprimirFactura.ImprimirFacturaController#consultaFactura
 */
public interface ConsultaFacturaForm
{
    /**
     * Sets the <code>factura</code> field.
     *
     * 
     */
    public void setFactura(edu.uoc.tfc.dto.FacturaVO factura);

    /**
     * Gets the <code>factura</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.FacturaVO getFactura();
    
    /**
     * Resets the <code>factura</code> field.
     */
    public void resetFactura();

    /**
     * Sets the <code>id</code> field.
     *
     * 
     */
    public void setId(java.lang.String id);

    /**
     * Gets the <code>id</code> field.
     *
     * 
     */
    public java.lang.String getId();
    
    /**
     * Resets the <code>id</code> field.
     */
    public void resetId();

}
