// license-header java merge-point
package edu.uoc.tfc.gui.security.gestioUsuaris;

/**
 * This form encapsulates the fields that are used in the execution of the
 * <code>cercaUsuaris</code> method, which is located on the
 * <code>edu.uoc.tfc.gui.security.gestioUsuaris.GestioUsuarisController</code> controller.
 *
 * <p>
 * Operaci per cercar una llista d'usuaris a partir d'un criteri
 * </p>
 *
 * @see edu.uoc.tfc.gui.security.gestioUsuaris.GestioUsuarisController#cercaUsuaris
 */
public interface CercaUsuarisForm
{
    /**
     * Sets the <code>usuaris</code> field.
     *
     * 
     */
    public void setUsuaris(edu.uoc.tfc.dto.security.ResultatCercaUsuariVO usuaris);

    /**
     * Gets the <code>usuaris</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.security.ResultatCercaUsuariVO getUsuaris();
    
    /**
     * Resets the <code>usuaris</code> field.
     */
    public void resetUsuaris();

    /**
     * Sets the <code>criteriaUser</code> field.
     *
     * 
     */
    public void setCriteriaUser(edu.uoc.tfc.dto.security.CriteriaUserVO criteriaUser);

    /**
     * Gets the <code>criteriaUser</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.security.CriteriaUserVO getCriteriaUser();
    
    /**
     * Resets the <code>criteriaUser</code> field.
     */
    public void resetCriteriaUser();

}
