// license-header java merge-point
package edu.uoc.tfc.gui.security.gestioUsuaris.altaUsuari;

/**
 * This form encapsulates the fields that are used in the execution of the
 * <code>altaUsuari</code> method, which is located on the
 * <code>edu.uoc.tfc.gui.security.gestioUsuaris.altaUsuari.AltaUsuariController</code> controller.
 *
 * 
 *
 * @see edu.uoc.tfc.gui.security.gestioUsuaris.altaUsuari.AltaUsuariController#altaUsuari
 */
public interface AltaUsuariForm
{
    /**
     * Sets the <code>resultat</code> field.
     *
     * 
     */
    public void setResultat(edu.uoc.tfc.gui.common.ResultatAccioAjaxVO resultat);

    /**
     * Gets the <code>resultat</code> field.
     *
     * 
     */
    public edu.uoc.tfc.gui.common.ResultatAccioAjaxVO getResultat();
    
    /**
     * Resets the <code>resultat</code> field.
     */
    public void resetResultat();

    /**
     * Sets the <code>usuari</code> field.
     *
     * 
     */
    public void setUsuari(edu.uoc.tfc.dto.security.UserVO usuari);

    /**
     * Gets the <code>usuari</code> field.
     *
     * 
     */
    public edu.uoc.tfc.dto.security.UserVO getUsuari();
    
    /**
     * Resets the <code>usuari</code> field.
     */
    public void resetUsuari();

    /**
     * Sets the <code>roleId</code> field.
     *
     * 
     */
    public void setRoleId(java.lang.String roleId);

    /**
     * Gets the <code>roleId</code> field.
     *
     * 
     */
    public java.lang.String getRoleId();
    
    /**
     * Resets the <code>roleId</code> field.
     */
    public void resetRoleId();

}
