
	$(document).on('click', '.emkt-iframe', function(e){
		e.preventDefault();
		var theAnchor = $(this);
		var theData = {};
		theData['externalContent.token'] = generateToken();
		theData['externalContent.codServicio'] = theAnchor.data('servicio');
		theData['externalContent.codCategoria'] = theAnchor.data('categoria');
		theData['externalContent.codOperacion'] = theAnchor.data('operacion');
		theData['externalContent.externalUrl'] = theAnchor.data('external-url');
		ajaxCall(
			false,
			'content',
			theAnchor.data('service-url'),
			theAnchor.data('operation-url'),
			theData
		);
	});



	$(document).on('click', '.dropdown ul li', function(e){
		$('.dropdown').removeClass('active');
		$(this).parent().parent().addClass('active');
	});



	$(document).on('click', '.emkt-iframe-directaccess', function(e){
		e.preventDefault();
		resizeIframe();
		var theAnchor = $(this);
		breadcrumbs.update([
			theAnchor.data('servicio'),
			theAnchor.data('categoria'),
			theAnchor.data('operacion')
		]);
		var url = theAnchor.data('external-url') + '?token=' + generateToken();
		$('#emkt-iframe').attr('src', url);
	});



	$(document).on('click', '.emkt-ajax', function(e){
		e.preventDefault();
		var theAnchor = $(this);
		var theData;
		if (theAnchor.data('action')){
			$.globalEval('var localEvaluation = ' + theAnchor.data('action'));
			theData = localEvaluation;
			doTheStuff(theData);
		}else{
			doTheStuff(this);
		}
		cleanTooltips();
	});



	$(document).on('click', '.emkt-buscar-ajax', function(e){
		e.preventDefault();
		messages.hide();
		var theAnchor = $(this);
		
		if(validateForm(theAnchor.data('tablename') + 'Form')) {
			$.globalEval(theAnchor.data('tablename') + '();');
		}
	});



	$(document).on('click', '.emkt-datatable-button', function(e){
		e.preventDefault();
		messages.hide();
		var theAnchor = $(this);
		var targetDiv = theAnchor.data('target-div');
		var theService = theAnchor.data('service-url');
		var theOperation = theAnchor.data('operation-url');
		var modalClass = theAnchor.data('toggle');
		try{
			var theData;
			if (theAnchor.data('action')){
				$.globalEval('var localEvaluation = ' + theAnchor.data('action') + '(fnGetSelected(getTable())[0]);');
				theData = localEvaluation;
			}else{
				theData = {};
				theData[theAnchor.data('columnname')] = fnGetSelected(getTable())[0].id;
			}
			if (theData){
				if ('modal-body' === targetDiv)
					theData['modal'] = 'true';

				theData['readonly'] = theAnchor.data('readonly');
				ajaxCall(targetDiv, theService, theOperation, theData);
				if (modalClass){
					modal.open(modalClass);
				}
			}
		}catch(e){
			messages.error(LOCALE.DATATABLES.SELECT_ROW);
		}
	});



	$(document).on('change', '.emkt-select-editable', function(e){
		e.preventDefault();
		messages.hide();
		var theAnchor = $(this);
		var newValue = $(this).val();
		if (newValue)
			$('#' + theAnchor.data('input')).val(newValue);
	});



	$(document).on('change', '.emkt-select-editable-input', function(e){
		e.preventDefault();
		messages.hide();
		var theSelect = $('#' + this.id + '-select');
		theSelect.val($(this).val());
		theSelect.trigger('change');
	});



	function doTheStuff(ajaxElement, moreData) {
		messages.hide();
		var theAnchor = $(ajaxElement);
		$.globalEval('var successFunc = ' + theAnchor.data('success'));
		$.globalEval('var errorFunc = ' + theAnchor.data('error'));
		var formName = theAnchor.data('form-name');
		var validate = theAnchor.data('form-validate');
		if (validate && !validateForm(formName)) {
			return false;
		}

		var theData = $('#' + formName).serializeObject();
		if (moreData) {
			$.extend(theData, moreData);
		}
		
		var singleParameter = theAnchor.data('singleparameter');
		if (singleParameter){
			theData['singleparameter'] = singleParameter;
		}
		
		var selectFunction = theAnchor.data('select-function');
		if (selectFunction){
			theData['select-function'] = selectFunction;
		}
		var targetDiv = theAnchor.data('target-div');
		if ('modal-body' === targetDiv)
			theData['modal'] = 'true';
		// Si tiene URL la ejecutamos
		// si no ejecutamos la funcin javascript, si la hubiera...
		if (theAnchor.data('service-url') && theAnchor.data('operation-url')) {
			ajaxCall(				
				targetDiv,
				theAnchor.data('service-url'),
				theAnchor.data('operation-url'),
				theData,
				successFunc,
				errorFunc,
				theAnchor.data('success-forward'),
				theAnchor.data('success-close') === true
			);
		}else
		if (successFunc != null && successFunc != 'undefined') {
			successFunc();
		}
		if (theAnchor.data('toggle')){
			modal.open(theAnchor.data('toggle'));
		}
	}



	$(document).on('click', '.emkt-search-clean', function(e){
		var controls = $(this).parent('.controls');
		var input = controls.find('input');
		input.val('');
		input.change();
	});



	$(document).on('click', '.emkt-search-sku-clean', function(e){
		SKU.clean($(this).parents('.control-group'));
	});



	function cleanTooltips(){
		$('.tooltip').remove();
		$('.popover').remove();
	}
