var wizardsMap = [];

function getWizard(k) {
    return wizardsMap[k];
}

var tooltips = {
		wizards: new Object(),
		init: function(wizard) {
			$().popover('delay: { show: 500, hide: 100 }');
			wizardsMap[wizard] = [];
		},
		print: function(wizard) {
			if ($.cookie(wizard) !== "false") {
				var totalDelay = 0;
				$(getWizard(wizard)).each(function(index, element){
					totalDelay = totalDelay + element.delay;
					window.setTimeout(element.tooltip, totalDelay);
				});
				
				// Invalidate next time Wizard
				$.cookie(wizard, "false");
			}
		},
		add: function(wizard, tooltip, showTime) {
			// Show
			getWizard(wizard)[getWizard(wizard).length] = {
				'tooltip': "showTooltip('" + tooltip +"')", 
				'delay': 500
			};
			
			// Hide
			getWizard(wizard)[getWizard(wizard).length] = {
				'tooltip': "hideTooltip('" + tooltip +"')", 
				'delay': showTime
			};
		},
		reactivate: function(wizard) {
			$.cookie(wizard, "true");
		}
};


$(document).on('mouseover', '.emkt-tooltip', function(e){
	showTooltip($(this).attr('id') + "Element");
});

function showTooltip(id) {
	$("#" + id).popover('show');
}

function hideTooltip(id) {
	$("#" + id).popover('hide');
}

//tooltips.init();